package com.jeethink.tjfx.mapper;

import com.jeethink.dataCenter.domain.Warehouse;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * 统计分析Mapper接口
 *
 * @author wms
 */
public interface TjfxMapper {


    List<HashMap> selectReceiveCount();

    List<HashMap> selectManageCount();

    List<HashMap> selectUseCount();

    List<HashMap> selectSaveCount();

    List<HashMap> selectReceiveList();

    List<HashMap> selectBorrowList();

    List<HashMap> selectReturnList();

    List<HashMap> selectPieChartList();

    List<HashMap> selectRKListByMonth();

    List<HashMap> selectJyPieChartList();

    List<HashMap> selectTJListByMonth();

    List<HashMap> selectTJListByYear();

    List<HashMap> selectRsListByMonth();

    List<HashMap> selectJkListByMonth();

    List<HashMap> selectRsJyListByMonth();

    List<HashMap> selectJkJyListByMonth();
}
